org.apache.cayenne.access.types

## Class JsonType

- java.lang.Object
- - org.apache.cayenne.access.types.JsonType

- All Implemented Interfaces:
    ExtendedType<Json>

      public class JsonType
      extends Object
      implements ExtendedType<Json>

  Since:
    4.2

- - ### Field Summary

    - ### Fields inherited from interface org.apache.cayenne.access.types.ExtendedType

      `TRIM_VALUES_THRESHOLD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonType(CharType delegate, boolean useRealType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClassName()` Returns a full name of Java class that this ExtendedType supports.
    `Json` | `materializeObject(CallableStatement rs, int index, int type)` Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
    `Json` | `materializeObject(ResultSet rs, int index, int type)` Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
    `void` | `setJdbcObject(PreparedStatement statement, Json json, int pos, int type, int scale)` Initializes a single parameter of a PreparedStatement with object value.
    `String` | `toString(Json value)` Converts value of the supported type to a human-readable String representation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonType

          public JsonType(CharType delegate,
                          boolean useRealType)

  - ### Method Detail

    - #### getClassName

          public String getClassName()

      Description copied from interface: `ExtendedType`
      Returns a full name of Java class that this ExtendedType supports.
      Specified by:
        `getClassName` in interface `ExtendedType<Json>`

    - #### setJdbcObject

          public void setJdbcObject(PreparedStatement statement,
                                    Json json,
                                    int pos,
                                    int type,
                                    int scale)
                             throws Exception

      Description copied from interface: `ExtendedType`
      Initializes a single parameter of a PreparedStatement with object value.
      Specified by:
        `setJdbcObject` in interface `ExtendedType<Json>`
      Throws:
        `Exception`

    - #### materializeObject

          public Json materializeObject(ResultSet rs,
                                        int index,
                                        int type)
                                 throws Exception

      Description copied from interface: `ExtendedType`
      Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
      Specified by:
        `materializeObject` in interface `ExtendedType<Json>`
      Throws:
        `Exception` - if read error occurred, or an object can't be converted to a target Java class.

    - #### materializeObject

          public Json materializeObject(CallableStatement rs,
                                        int index,
                                        int type)
                                 throws Exception

      Description copied from interface: `ExtendedType`
      Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
      Specified by:
        `materializeObject` in interface `ExtendedType<Json>`
      Throws:
        `Exception` - if read error occurred, or an object can't be converted to a target Java class.

    - #### toString

          public String toString(Json value)

      Description copied from interface: `ExtendedType`
      Converts value of the supported type to a human-readable String representation.
      Specified by:
        `toString` in interface `ExtendedType<Json>`
      Parameters:
        `value` - a value to convert to String.

Copyright © 2001–2021 Apache Cayenne. All rights reserved.